﻿function MyCollect(ServiceUrl) {
    //总页数
    $(function () {
        $.ajax({
            async: false,
            type: 'POST',
            url: ServiceUrl + '/Service2_0/BookHome.asmx/CPageSize',
            data: JSON.stringify({
                "UserID": localStorage.getItem("YgzUserName")
            }),
            dataType: 'json',
            contentType: "application/json",
            success: function (data) {
                var str = data.d;
                $("#PageSum").append(str);
            },
            error: function (XMLHttpRequest, textStatus, errorThrown) {
                console.log(textStatus);
            }
        });
    });

    //类别分页
    $(function () {
        var i = 1;

        $("#upPage").click(function (psize) {
            if (i - 1 <= 0) {
                i = 1;
            }
            else {
                i = i - 1;
            }
            //当前页码
            Booklist(i);
            $("#PageNum").html(i);
        });

        $("#downPage").click(function (psize) {
            i = i + 1;

            $.ajax({
                async: false,
                type: 'POST',
                url: ServiceUrl + '/Service2_0/BookHome.asmx/CPageSize',
                data: JSON.stringify({
                    "UserID": localStorage.getItem("YgzUserName")
                }),
                dataType: 'json',
                contentType: "application/json",
                success: function (Data) {
                    var n = Data.d;
                    if (i >= n) {
                        i = n;
                    }
                    //当前页码
                    Booklist(i);
                    $("#PageNum").html(i);
                },
                error: function (XMLHttpRequest, textStatus, errorThrown) {
                    console.log(textStatus);
                }
            });
        });
        //当前页码
        Booklist(i);
        $("#PageNum").html(i);
        return i;
    });

    ///绘本列表
    function Booklist(pagesize) {
        $.ajax({
            async: false,
            type: 'POST',
            url: ServiceUrl + '/Service2_0/BookHome.asmx/MyCollect',
            data: JSON.stringify({
                "UserID": localStorage.getItem("YgzUserName"),
                "PageSize": pagesize                
            }),
            dataType: 'json',
            contentType: "application/json",
            success: function (Data) {
                var n = Data.d;
                var bid = n.CollID;
                var bimg = n.CollImg;
                for (var i = 0; i < bid.length; i++) {
                	isState(bid[i],i);
                    $("#I" + i).attr("src", "https://www.yedove.com/" + bimg[i]);
                }
            },
            error: function (XMLHttpRequest, textStatus, errorThrown) {
                console.log(textStatus);
            }
        });
    }
}

///
///判断当前绘本是否已购买
///
function isState(booid,i) {
		$.ajax({
        type: 'POST',
        url: ServiceUrl + '/Service/Content.asmx/PayBooks',
        data: JSON.stringify({
            "UserID": localStorage.getItem("YgzUserName"),
            "BookID": booid
        }),
        dataType: 'json',
        contentType: "application/json",
        success: function (data) {
            var x = data.d;
            if (x) {
//              $("#L" + i).attr("href", "ShowVideo.html?BID=" + booid);
				$("#L" + i).attr("onclick", "micSg.pause();clicked('ShowVideo.html?BID="+booid+"');");
                console.log(x);
            }
            else {
                //判断Vip权限
            VipState(booid,i);
            }
        },
        error: function (xhr) {
            console.log(xhr.responseText);
        }
    });
}

///
///判断当前绘本是否为Vip观看，并
///根据会员权限显示按钮
///
function VipState(booid,i) {
    	$.ajax({
        type: 'POST',
        url: ServiceUrl + '/Service2_0/BookAndUserVip.asmx/VipPower',
        data: JSON.stringify({
            "UserID": localStorage.getItem("YgzUserName"),
            "BookID": booid
        }),
        dataType: 'json',
        contentType: "application/json",
        success: function (data) {
            var x = data.d;
            if (x) {
                $("#L" + i).attr("onclick", "micSg.pause();clicked('ShowVideo.html?BID="+booid+"');");
            }
            else {
                //判断是否免费
            BookState(booid,i);
            }
        },
        error: function (xhr) {
            console.log(xhr.responseText);
        }
    });
}

///
///判断当前绘本是否免费，并
///根据显示按钮
///
function BookState(booid,i) {
    	$.ajax({
        type: 'POST',
        url: ServiceUrl + '/Service2_0/BookAndUserVip.asmx/GetBookState',
        data: JSON.stringify({
            "BookID": booid
        }),
        dataType: 'json',
        contentType: "application/json",
        success: function (data) {
            var x = data.d;
            if (x) {
                
                $("#L" + i).attr("onclick", "micSg.pause();clicked('ShowVideo.html?BID="+booid+"');");
            }
            else {
                //top.location = "../Content.html?id=" + GetBookID();
                var hrefbook="../Content.html?id=" + GetBookID(booid);
                $("#L" + i).attr("onclick", "micSg.pause();clicked('"+hrefbook+"');");
            }
        },
        error: function (xhr) {
            console.log(xhr.responseText);
        }
    });
}

///获取绘本系统ID
function GetBookID(bid1) {
    var bid = "";

    $.ajax({
        async: false,
        type: 'POST',
        url: ServiceUrl + '/Service2_0/BookHome.asmx/BID',
        data: JSON.stringify({
            "BookNum": bid1
        }),
        dataType: 'json',
        contentType: "application/json",
        success: function (data) {
            bid = data.d.RecVipBookID;
        },
        error: function (xhr) {
            console.log(xhr.responseText);
        }
    });

    return bid;
}
