var ServiceUrl = "https://www.yedove.com";
//创建Cookie
function setCookie(c_name, value, expiredays) {
    var exdate = new Date();
    exdate.setDate(exdate.getDate() + expiredays);
    document.cookie = c_name + "=" + escape(value) +
        ((expiredays === null) ? "" : ";expires=" + exdate.toGMTString() + ";path=/");
}
//获取Cookie
function getCookie(c_name) {
    if (document.cookie.length > 0) {
        c_start = document.cookie.indexOf(c_name + "=");
        if (c_start !== -1) {
            c_start = c_start + c_name.length + 1;
            c_end = document.cookie.indexOf(";", c_start);
            if (c_end === -1) c_end = document.cookie.length;
            return unescape(document.cookie.substring(c_start, c_end));
        }
    }
    return "";
}

//判断是否已登陆
$(function () {    
    //if (getCookie("YgzUserName") !== "") {
      // window.top.location.href = "../MyHome/myC.html";
    //}
    var state = app.getState();
    var mainPage = $.preload({
						"id": 'main',
						"url": '../index.html'
					});
					var toMain = function() {
						$.fire(mainPage, 'show', null);
						setTimeout(function() {
							$.openWindow({
								id: 'main',
								show: {
									aniShow: 'pop-in'
								},
								waiting: {
									autoShow: false
								}
							});
						}, 0);
					};
    if (state.token) {
						toMain();
					}
});

//注册信息
$(function () {
    $("#RegisterButton").click(function () {
        $(function () {
            $.ajax({
                type: 'POST',
                url: ServiceUrl+'/Service/Login.asmx/NewUser',
                data: JSON.stringify({
                    "UTel": document.getElementById("RUserTel").value,
                    "UPwd": document.getElementById("RUserPwd").value
                }),
                dataType: 'json',
                contentType: "application/json",
                success: function (NewUserData) {
                    if (NewUserData.d === "false") {
                        alert("请填写正确的注册信息");
                    }
                    else {
                        alert("注册成功");
                        window.location.href = "BookLogin.html";
                    }
                },
                error: function (xhr) {
                    console.log(xhr.responseText);
                }
            });
        });
    });
});

//登陆“我的”按钮事件
$(function () {
    $("#MyLoginButton").click(function () {
        $(function () {
            $.ajax({
                type: 'POST',
                url: ServiceUrl+'/Service/Login.asmx/UserLogin',
                data: JSON.stringify({
                    "UserName": document.getElementById("UserID").value,
                    "UPwd": document.getElementById("UserPwd").value
                }),
                dataType: 'json',
                contentType: "application/json",
                success: function (LoginData) {                   
                    if (LoginData.d === false) {
                        alert("请确认登陆信息是否正确！");
                    }
                    else {
                        UserID(document.getElementById("UserID").value);                        
                    }                    
                },
                error: function (xhr) {
                    console.log(xhr.responseText);
                }
            });
        });
    });
});

//获取用户系统ID
function UserID(UName) {
    $.ajax({
        type: 'POST',
        url: ServiceUrl+'/Service/Login.asmx/UID',
        data: JSON.stringify({
            "UserName": UName
        }),
        dataType: 'json',
        contentType: "application/json",
        success: function (LoginData) {
            str = LoginData.d;
            setCookie("YgzUserName", str, 365,"/");
            window.top.location.href = "./MyHome/myC.html";
        },
        error: function (xhr) {
            console.log(xhr.responseText);
        }
    });
}


