var ServiceUrl = "https://www.yedove.com";

//HTMLDecode
function HTMLDecode(str) {
    var s = "";
    if (str.length === 0) return "";
    s = str.replace(/&amp;/g, "&");
    s = s.replace(/&lt;/g, "<");
    s = s.replace(/&gt;/g, ">");
    s = s.replace(/&nbsp;/g, "    ");
    s = s.replace(/'/g, "\'");
    s = s.replace(/&quot;/g, "\"");
    s = s.replace(/<br>/g, "\n");
    s = s.replace(/&#39;/g, "\'");
    return s;
}

//替换掉所有的 html标签，得到Html标签中的内容
function DelHtmlTag(str) {
    return str.replace(/<[^>]+>/g, "");  //正则去掉所有的html标记
}

//设置模板
function Mode(ImgUrl, Title, ContStr, id) {
    var ConText = DelHtmlTag(HTMLDecode(ContStr)).substr(0, 35) + "...";

    var str1, str2, str3, str4, str5, str6, str7, str8, str9, str10;

    str1 = "<div style=\"border:1px #e7e7e7 solid; border-radius: 1em; background:#fafafa; min-height: 7em; max-height: 7em; margin-top:1em \">";
    str2 = "<div style=\"float:left; border-radius:1em; margin-left:1em; margin-top:1em; /*background:#ffd800;*/ height:5em; width:38%;\">";
    str3 = "<img src=\"https://www.yedove.com/" + ImgUrl + "\" style=\"border-radius:0.5em; width: 100%; height: 5em; \" />";
    str4 = "</div >";
    str5 = "<div style=\"position:relative; float:right; width:50%; min-height:5.5em; max-height:5.5em; margin:1em 1em 0px 0px;\">";
    str6 = "<div style=\"font-size:1.2em\">" + Title + "</div>";
    str7 = "<div style=\"line-height: 2em; color:#454545;\">" + ConText + "</div>";
    str8 = "<div style=\"position: absolute; right: 5px; bottom: 5px\"><a onclick=\"clicked(this.id)\" id=\"NewContent.html?Types=绘本推荐&id=" + id + "\" style=\"color:#ed8b21; \">阅读全文 ></a></div>";
    str9 = "</div >";
    str10 = "</div >";

    var x = "<a onclick=\"clicked(this.id)\" id=\"NewContent.html?Types=挑书匠&id=" + id + "\" style='color:#000000'>" + str1 + str2 + str3 + str4 + str5 + str6 + str7 + str8 + str9 + str10 + "</a>";
    $("#Titles").text("挑书匠");
    $("#ShowNewTitle").append(x);
}

//获取列表
$(function () {
    $.ajax({
        type: 'POST',
        url: ServiceUrl + '/Service/News.asmx/NewsClassShow',
        data: JSON.stringify({
            "ClassName": "挑书匠",
            "PageCount": "10",
            "PageSize": "1"
        }),
        dataType: 'json',
        contentType: "application/json",
        success: function (NewsData) {
            var s = NewsData.d;
            console.log(s);
            for (var i = 0; i < s.NewsId.length; i++) {
                Mode(s.NewsImg[i], s.NewsTitle[i], s.NewsBookCont[i], s.NewsId[i]);
            }
//            setmyimg();
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            console.log(textStatus);
        }
    });
});