var ServiceUrl = "https://www.yedove.com";

//获取链接参数
function getArgs(strParame) {
    var args = new Object();
    var query = location.search.substring(1);

    var pairs = query.split("&"); // Break at ampersand 
    for (var i = 0; i < pairs.length; i++) {
        var pos = pairs[i].indexOf("=");
        if (pos === -1) continue;
        var argname = pairs[i].substring(0, pos);
        var value = pairs[i].substring(pos + 1);
        value = decodeURIComponent(value);
        args[argname] = value;
    }
    return args[strParame];
}

//HTMLDecode
function HTMLDecode(str) {
    var s = "";
    if (str.length === 0) return "";
    s = str.replace(/&amp;/g, "&");
    s = s.replace(/&lt;/g, "<");
    s = s.replace(/&gt;/g, ">");
    s = s.replace(/&nbsp;/g, "    ");
    s = s.replace(/'/g, "\'");
    s = s.replace(/&quot;/g, "\"");
    s = s.replace(/<br>/g, "\n");
    s = s.replace(/&#39;/g, "\'");
    return s;
}

//替换掉所有的 html标签，得到Html标签中的内容
function DelHtmlTag(str) {
    return str.replace(/<[^>]+>/g, "");  //正则去掉所有的html标记
}

//跳转注册会员
$(function(){
	$("#Reister").click(function(){
		top.location = "Login/Register.html?UID="+getArgs("UID");
	});
});		

//获取绘本信息
$(function () {
    $.ajax({
        type: 'POST',
        url: ServiceUrl+'/Service/Content.asmx/Contentes',
        data: JSON.stringify({
            "id": getArgs("BookID"),
            "UserID":""
        }), 
        dataType:'json',
        contentType: "application/json",
        success: function (data) {
            var x = data.d;
            $("#videos").attr("src", x.ContVideo);
            $("#videos").attr("poster", ServiceUrl+"/"+x.ContVideoImg);
            $("#ShowName").append(x.ContName);
            var price;
            if (x.ContPrice !== "0"){
                price = "￥" + x.ContPrice + "元";
			}
			else
			{
				price = "限免";
			}
            $("#ShowPrice").append(price);
            var jp;
            if (x.ContReward === "0"){
				jp = "分享有奖";
			}
			else{
                jp = "奖 ￥" + x.ContReward.substring(0, 4);
			}
            $("#jiangli").append(jp);
            $("#Details").append(DelHtmlTag(HTMLDecode(x.ContDetails)).substr(0, 35) + "...");
        },
        error: function (xhr)
        {
            console.log(xhr.responseText);
        }
    });
});
$('#videos').on('ended pause', function () {
    $('#music').play();      //空白mp3；                 
});

//获取绘本图片
$(function () {
    $.ajax({
        type: 'POST',
        url: ServiceUrl+'/Service/Shopping.asmx/GetBookImg',
        data: JSON.stringify({
            "id": getArgs("BookID")
        }), 
        dataType:'json',
        contentType: "application/json",
        success: function (data) {
            var x = data.d;            
            $("#BIMG").attr("src",x);
        },
        error: function (xhr)
        {
            console.log(xhr.responseText);
        }
    });
});

//获取绘本分类
$(function () {
    $.ajax({
        type: 'POST',
        url: ServiceUrl+'/Service/Shopping.asmx/GetBookClass',
        data: JSON.stringify({
            "id": getArgs("BookID")
        }), 
        dataType:'json',
        contentType: "application/json",
        success: function (data) {
            var x = data.d;            
            $("#BClass").append(x);
        },
        error: function (xhr)
        {
            console.log(xhr.responseText);
        }
    });
});