var ServiceUrl = "https://www.yedove.com";

//获取链接参数
function getArgs(strParame) {
    var args = new Object();
    var query = location.search.substring(1);

    var pairs = query.split("&"); // Break at ampersand 
    for (var i = 0; i < pairs.length; i++) {
        var pos = pairs[i].indexOf("=");
        if (pos === -1) continue;
        var argname = pairs[i].substring(0, pos);
        var value = pairs[i].substring(pos + 1);
        value = decodeURIComponent(value);
        args[argname] = value;
    }
    return args[strParame];
} 

//写表头
$(function () {
    $("#Titles").append(getArgs("CN"));
});

//选择执行程序
$(function () {
    switch (getArgs("Types")) {
        case "PT":
            SelectPT(1);
            SelectPT(2);
            var _text = document.querySelector('.refreshText');
            _text.innerText="查看更多";
            break;

        case "Age": 
            SelectAge(1);
            SelectAge(2);
            var _text = document.querySelector('.refreshText');
            _text.innerText="查看更多";
            break;
    }
});

//设置模板
function BookMode(ImgUrl,Title,ID) {
    var str1 = "<div class=\"BookImgs\">";
    var str2 = "<div><img data-class=\"imgb\" src=\""+ServiceUrl+"/" + ImgUrl +"\" style=\"border-radius:0.5em; width:100%; \" /></div>";
    var str3 = "<div style=\"text-align: left; color:#505050; line-height:2em; font-size:0.8em\">" + Title +"</div>";
    var str4 = "</div>";        
            
    var txt = "<a class='aImg' onclick=\"clicked(this.id)\" id='Content.html?id="+ ID +"'>" + str1 + str2 + str3 + str4 + "</a>";

    return txt;
    //$("#ShowBook").append(txt);
}

//读取普通分类列表
function SelectPT(PageSize) {
    $.ajax({
        type: 'POST',
        url: ServiceUrl+'/Service/BookList.asmx/BookClass',
        data: JSON.stringify({
            "ClassName": getArgs("CN"),
            "PageCount": "6",
            "PageSize": PageSize
        }),
        dataType: 'json',
        contentType: "application/json",
        success: function (BookData) {  
            var s = BookData.d;
            var txt = "";
            for (var i = 0; i < s.BookId.length; i++)
            {
               txt += BookMode(s.BookImg[i], s.BookTitle[i], s.BookId[i]);
            }
            $("#ShowBook").append(txt);
            setmyimg();
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            console.log(textStatus);
        }
    });
}

//读取年龄分类列表
function SelectAge(PageSize) {
    $.ajax({
        async: false,
        type: 'POST',
        url: ServiceUrl+'/Service/BookList.asmx/AgeBook',
        data: JSON.stringify({
            "ClassName": getArgs("CN"),
            "PageCount": "6",
            "PageSize": PageSize
        }),
        dataType: 'json',
        contentType: "application/json",
        success: function (AgeData) {
            var s = AgeData.d;
            var txt = "";
            for (var i = 0; i < s.AgeBookId.length; i++) {                
                txt += BookMode(s.AgeBookImg[i], s.AgeBookTitle[i], s.AgeBookId[i]);
            }
            $("#ShowBook").append(txt);
            setmyimg();
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            console.log(textStatus);
        }
    });
}

//类别分页
$(function() {
    var i = 1;

    $("#upPage").click(function (psize) {
        if (i - 1 <= 0) {
            i = 1;
        }
        else {
            i = i - 1;
        }
        switch (getArgs("Types")) {
            case "PT":
                SelectPT(i);
                break;

            case "Age":
                SelectAge(i);
                break;
        }
    });
	
    $(function () {
        
    });

    $("#downPage").click(function (psize) {
        i = i + 1;
        switch (getArgs("Types")) {
            case "PT":
                $.ajax({
                    async: false,
                    type: 'POST',
                    url: ServiceUrl + '/Service/BookList.asmx/BookPageSize',
                    data: JSON.stringify({
                        "ClassName": getArgs("CN"),
                        "PageCount": "6"
                    }),
                    dataType: 'json',
                    contentType: "application/json",
                    success: function (AgeData) {
                        var n = AgeData.d.BookPageSize;                        
                        if (i > n) {
                            //i = n;
                        }else{
                        SelectAge(i);
                        }
                    },
                    error: function (XMLHttpRequest, textStatus, errorThrown) {
                        console.log(textStatus);
                    }
                });
                break;

            case "Age":
                $.ajax({
                    async: true,
                    type: 'POST',
                    url: ServiceUrl + '/Service/BookList.asmx/AgePageSize',
                    data: JSON.stringify({
                        "ClassName": getArgs("CN"),
                        "PageCount": "6"
                    }),
                    dataType: 'json',
                    contentType: "application/json",
                    success: function (AgeData) {
                        var n = AgeData.d.AgePageSize;
                        if (i > n) {
                            //i = n;
                        }else{
                        SelectAge(i);
                        }
                    },
                    error: function (XMLHttpRequest, textStatus, errorThrown) {
                        console.log(textStatus);
                    }
                });
                break;
        }      
    });

    return i;
});








